Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.annots.Line Class Reference
Inheritance diagram for foxit.pdf.annots.Line:

## Public Types
enum | CapPos
| Enumeration for the position type of caption. More...
Public Types inherited from foxit.pdf.annots.Markup
enum | EndingStyle { EndingStyle.e_EndingStyleNone = 0, EndingStyle.e_EndingStyleSquare = 1, EndingStyle.e_EndingStyleCircle = 2, EndingStyle.e_EndingStyleDiamond = 3, EndingStyle.e_EndingStyleOpenArrow = 4, EndingStyle.e_EndingStyleClosedArrow = 5, EndingStyle.e_EndingStyleButt = 6, EndingStyle.e_EndingStyleROpenArrow = 7, EndingStyle.e_EndingStyleRClosedArrow = 8, EndingStyle.e_EndingStyleSlash = 9 }
| Enumeration for line ending style. More...
enum | MeasureType { MeasureType.e_MeasureTypeX = 0, MeasureType.e_MeasureTypeY = 1, MeasureType.e_MeasureTypeD = 2, MeasureType.e_MeasureTypeA = 3, MeasureType.e_MeasureTypeT = 4, MeasureType.e_MeasureTypeS = 5 }
| Enumeration for annotation's measure type. More...
enum | State { State.e_StateNone = 0, State.e_StateMarked = 1, State.e_StateUnmarked = 2, State.e_StateAccepted = 3, State.e_StateRejected = 4, State.e_StateCancelled = 5, State.e_StateCompleted = 6, State.e_StateDeferred = 7, State.e_StateFuture = 8 }
| Enumeration for markup annotation's state. More...
enum | StateModel { StateModel.e_StateModelMarked = 1, StateModel.e_StateModelReview = 2 }
| Enumeration for markup annotation's state model. More...
Public Types inherited from foxit.pdf.annots.Annot
enum | AppearanceType { AppearanceType.e_AppearanceTypeNormal = 0, AppearanceType.e_AppearanceTypeRollover = 1, AppearanceType.e_AppearanceTypeDown = 2 }
| Enumeration for the type of annotation's appearance. More...
enum | Flags { Flags.e_FlagInvisible = 0x0001, Flags.e_FlagHidden = 0x0002, Flags.e_FlagPrint = 0x0004, Flags.e_FlagNoZoom = 0x0008, Flags.e_FlagNoRotate = 0x0010, Flags.e_FlagNoView = 0x0020, Flags.e_FlagReadOnly = 0x0040, Flags.e_FlagLocked = 0x0080, Flags.e_FlagToggleNoView = 0x0100, Flags.e_FlagLockedContents = 0x0200 }
| Enumeration for PDF annotation flags. More...
enum | HighlightingMode { HighlightingMode.e_HighlightingNone = 0, HighlightingMode.e_HighlightingInvert = 1, HighlightingMode.e_HighlightingOutline = 2, HighlightingMode.e_HighlightingPush = 3, HighlightingMode.e_HighlightingToggle = 4 }
| Enumeration for PDF annotation highlighting mode. More...
enum | MKEntry { MKEntry.e_MKEntryRotation = 0, MKEntry.e_MKEntryBorderColor = 1, MKEntry.e_MKEntryBackgroundColor = 2, MKEntry.e_MKEntryNormalCaption = 3, MKEntry.e_MKEntryRolloverCaption = 4, MKEntry.e_MKEntryDownCaption = 5, MKEntry.e_MKEntryNormalIcon = 6, MKEntry.e_MKEntryRolloverIcon = 7, MKEntry.e_MKEntryDownIcon = 8, MKEntry.e_MKEntryIconFit = 9, MKEntry.e_MKEntryIconCaptionRelation = 10 }
| Enumeration for annotation's MK dictionary (an appearance characteristics) entry. More...
enum | MKIconCaptionRelation { MKIconCaptionRelation.e_MKRelationNoIcon = 0, MKIconCaptionRelation.e_MKRelationNoCaption = 1, MKIconCaptionRelation.e_MKRelationCaptionBelowIcon = 2, MKIconCaptionRelation.e_MKRelationCaptionAboveIcon = 3, MKIconCaptionRelation.e_MKRelationCaptionRight = 4, MKIconCaptionRelation.e_MKRelationCaptionLeft = 5, MKIconCaptionRelation.e_MKRelationCaptionOvrlayOnIcon = 6 }
| Enumeration for icon and caption relative position in annotation's MK dictionary. More...
enum | Property { Property.e_PropertyModifiedDate = 0, Property.e_PropertyCreationDate = 1, Property.e_PropertyBorderColor = 2, Property.e_PropertyFillColor = 3 }
| Enumeration for some PDF annotation property. More...
enum | Type { Type.e_UnknownType = 0, Type.e_Note = 1, Type.e_Link = 2, Type.e_FreeText = 3, Type.e_Line = 4, Type.e_Square = 5, Type.e_Circle = 6, Type.e_Polygon = 7, Type.e_PolyLine = 8, Type.e_Highlight = 9, Type.e_Underline = 10, Type.e_Squiggly = 11, Type.e_StrikeOut = 12, Type.e_Stamp = 13, Type.e_Caret = 14, Type.e_Ink = 15, Type.e_PSInk = 16, Type.e_FileAttachment = 17, Type.e_Sound = 18, Type.e_Movie = 19, Type.e_Widget = 20, Type.e_Screen = 21, Type.e_PrinterMark = 22, Type.e_TrapNet = 23, Type.e_Watermark = 24, Type.e_3D = 25, Type.e_Popup = 26, Type.e_Redact = 27, Type.e_RichMedia = 28, Type.e_PagingSeal = 29 }
| Enumeration for PDF annotation type. More...

## Public Member Functions
| Line ()
| Constructor.
| Line (Annot annot)
| Constructor, with parent class object. More...
void | EnableCaption (bool cap)
| Set the flag which is used to decide whether the content of current line annotation should be replicated as a caption in the appearance or not. More...
PointF | GetCaptionOffset ()
| Get caption offset values. More...
Line.CapPos | GetCaptionPositionType ()
| Get the position type of caption. More...
PointF | GetEndPoint ()
| Get the end point. More...
float | GetLeaderLineExtensionLength ()
| Get the length of leader line extension. More...
float | GetLeaderLineLength ()
| Get the length of leader line. More...
float | GetLeaderLineOffset ()
| Get the length of leader line offset. More...
Markup.EndingStyle | GetLineEndStyle ()
| Get line ending style of the end point. More...
Markup.EndingStyle | GetLineStartStyle ()
| Get line ending style of the start point. More...
float | GetMeasureConversionFactor (Markup.MeasureType measure_type)
| Get the conversion factor for measuring. More...
string | GetMeasureRatio ()
| Get the scale ratio string for measuring. More...
string | GetMeasureRatioW ()
| Get the scale ratio Unicode string for measuring. More...
string | GetMeasureUnit (Markup.MeasureType measure_type)
| Get the label for displaying the units for measuring. More...
string | GetMeasureUnitW (Markup.MeasureType measure_type)
| Get the label (in Unicode string) for displaying the units for measuring. More...
PointF | GetStartPoint ()
| Get the start point. More...
int | GetStyleFillColor ()
| Get fill color for ending styles. More...
bool | HasCaption ()
| Check whether the content of current line annotation should be replicated as a caption in the appearance or not. More...
void | SetCaptionOffset (PointF offset)
| Set caption offset values. More...
void | SetCaptionPositionType (Line.CapPos cap_position)
| Set the position type of caption. More...
void | SetEndPoint (PointF point)
| Set the end point. More...
void | SetLeaderLineExtensionLength (float extension_length)
| Set the length of leader line extension. More...
void | SetLeaderLineLength (float length)
| Set the length of leader line. More...
void | SetLeaderLineOffset (float offset)
| Set the length of leader line offset. More...
void | SetLineEndStyle (Markup.EndingStyle ending_style)
| Set line ending style of the end point. More...
void | SetLineStartStyle (Markup.EndingStyle ending_style)
| Set line ending style of the start point. More...
void | SetMeasureConversionFactor (Markup.MeasureType measure_type, float factor)
| Set the conversion factor for measuring. More...
void | SetMeasureRatio (string ratio)
| Set the scale ratio string for measuring. More...
void | SetMeasureUnit (Markup.MeasureType measure_type, string unit)
| Set the label for displaying the units for measuring. More...
void | SetStartPoint (PointF point)
| Set the start point. More...
void | SetStyleFillColor (int color)
| Set fill color for ending styles. More...
Public Member Functions inherited from foxit.pdf.annots.Markup
| Markup (Annot annot)
| Constructor, with parent class object. More...
| Markup ()
| Constructor.
Note | AddReply ()
| Add a new reply to the end of reply list. More...
void | AddRichText (string content, RichTextStyle style)
| Add a new rich text string to the end. More...
Note | AddStateAnnot (string title, Markup.StateModel model, Markup.State state)
| Add a new state annotation. More...
float | GetBorderOpacity ()
| Get the border opacity of the annotation. More...
DateTime | GetCreationDateTime ()
| Get creation date time. More...
float | GetFillOpacity ()
| Get the fill opacity of the annotation. More...
MarkupArray | GetGroupElements ()
| Get an element (as markup annotation) from the group that current markup annotation belongs to. More...
Markup | GetGroupHeader ()
| Get the header annotation (as primary annotation) of the group that current markup annotation belongs to. More...
string | GetIntent ()
| Get intent name. More...
float | GetOpacity ()
| Get opacity value. More...
Popup | GetPopup ()
| Get related pop-up annotation. More...
Note | GetReply (int index)
| Get a reply by index. More...
int | GetReplyCount ()
| Count all replies. More...
string | GetRichTextContent (int index)
| Get text string of a rich text string specified by index. More...
int | GetRichTextCount ()
| Get the count of rich text strings. More...
RichTextStyle | GetRichTextStyle (int index)
| Get style data of a rich text string specified by index. More...
NoteArray | GetStateAnnots (Markup.StateModel model)
| Get all state annotations in a specified state model. More...
string | GetSubject ()
| Get subject string. More...
string | GetTitle ()
| Get title string. More...
void | InsertRichText (int index, string content, RichTextStyle style)
| Insert a new rich text string to the place which is specified by index. More...
bool | IsGrouped ()
| Check whether current markup annotation is in a group or not. More...
bool | RemoveAllReplies ()
| Remove all the replies. More...
bool | RemoveAllStateAnnots ()
| Remove all the state annotations. More...
bool | RemovePopup ()
| Remove related pop-up annotation. More...
bool | RemoveReply (int index)
| Remove a reply by index. More...
void | RemoveRichText (int index)
| Remove a rich text string specified by index. More...
void | SetBorderOpacity (float opacity)
| Set the border opacity of the annotation. More...
void | SetCreationDateTime (DateTime date_time)
| Set creation date time. More...
void | SetFillOpacity (float opacity)
| Set the fill opacity of the annotation. More...
void | SetIntent (string intent)
| Set intent name. More...
void | SetOpacity (float opacity)
| Set opacity value. More...
void | SetPopup (Popup popup)
| Set related pop-up annotation. More...
void | SetRichTextContent (int index, string content)
| Set text string of a rich text string specified by index. More...
void | SetRichTextStyle (int index, RichTextStyle style)
| Set style data of a rich text string specified by index. More...
void | SetSubject (string subject)
| Set subject string. More...
void | SetTitle (string title)
| Set title string. More...
bool | Ungroup ()
| Ungroup current markup annotation from the group it belongs to. More...
Public Member Functions inherited from foxit.pdf.annots.Annot
| Annot (PDFPage page, PDFDictionary annot_dict)
| Constructor, with PDF page and annotation's PDF dictionary. More...
| Annot (Annot annot)
| Constructor, with another annotation object. More...
| Annot ()
| Constructor.
PDFStream | GetAppearanceStream (Annot.AppearanceType type, string appearance_state)
| Get annotation's appearance stream with specified type and state. More...
int | GetBorderColor ()
| Get border color. More...
BorderInfo | GetBorderInfo ()
| Get border information. More...
string | GetContent ()
| Get content. More...
RectI | GetDeviceRect (Matrix2D matrix)
| Get annotation rectangle in device coordinate system. More...
PDFDictionary | GetDict ()
| Get annotation's dictionary object. More...
Matrix2D | GetDisplayMatrix (Matrix2D page_display_matrix)
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
int | GetFlags ()
| Get annotation flags. More...
int | GetIndex ()
| Get the index of current annotation in the page which current annotation belongs to. More...
DateTime | GetModifiedDateTime ()
| Get last modified date time. More...
PDFDictionary | GetOptionalContent ()
| Get the PDF dictionary of annotation's optional content. More...
PDFPage | GetPage ()
| Get the related PDF page. More...
RectF | GetRect ()
| Get rectangle, in PDF coordinate system. More...
Annot.Type | GetType ()
| Get actual annotation type of current annotation. More...
string | GetUniqueID ()
| Get unique ID. More...
bool | HasProperty (Annot.Property property)
| Whether current annotation has the specified annotation's property. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
bool | IsMarkup ()
| Check if current annotation is a markup annotation. More...
bool | Move (RectF rect)
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
bool | Move (RectF rect, bool is_reset_appearance)
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
bool | RemoveProperty (Annot.Property property)
| Remove a specified annotation's property. More...
bool | ResetAppearanceStream ()
| Reset appearance stream. More...
bool | ResetAppearanceStream (bool is_generate_new_appearance_obj)
| Reset appearance stream. More...
void | SetBorderColor (int color)
| Set border color. More...
void | SetBorderInfo (BorderInfo border)
| Set border information. More...
void | SetContent (string content)
| Set content. More...
void | SetFlags (int flags)
| Set annotation flags. More...
void | SetModifiedDateTime (DateTime date_time)
| Set last modified date time. More...
void | SetUniqueID (string unique_id)
| Set unique ID. More...

## Detailed Description

A line annotation displays a single straight line on the page.
Line annotation is a kind of markup annotation, so class Line is derived from class Markup , and also offers functions to get/set line annotation's properties and reset appearance stream of a line annotation.
For a line annotation, start point and end point are required. So please ensure that a line annotation has valid start point and end point before resetting its appearance stream; otherwise the line annotation cannot be reset appearance stream.

Note
  For a newly created line annotation, if user calls function Annot.ResetAppearanceStream directly after setting required start point and end point property and not setting any other properties, the default appearance will be used:
  border width = 2.0, border style = foxit.pdf.annots.BorderInfo.Style.e_Solid , border color = 0xFFFF0000 (red), opacity = 1, line starting/ending styles = "None", no caption is enabled.

See also
  Markup

## Member Enumeration Documentation

## ◆ CapPos

enum foxit.pdf.annots.Line.CapPos
| strong

Enumeration for the position type of caption.

Values of this enumeration should be used alone.

## Constructor & Destructor Documentation

## ◆ Line()

foxit.pdf.annots.Line.Line | ( | Annot | annot | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

## Member Function Documentation

## ◆ EnableCaption()

void foxit.pdf.annots.Line.EnableCaption | ( | bool | cap | ) |
| inline

Set the flag which is used to decide whether the content of current line annotation should be replicated as a caption in the appearance or not.

This property has effect on line annotation's appearance. If user wants the effect to be shown in annotation's appearance, please call function Annot.ResetAppearanceStream after this function.

Parameters

  [in] | cap | true means the content should be replicated as a caption in the appearance of current line annotation, while false means not.

Returns
  None.

## ◆ GetCaptionOffset()

PointF foxit.pdf.annots.Line.GetCaptionOffset | ( |  | ) |
| inline

Get caption offset values.

Caption offset is the offset of caption from its normal position.
Only when current line annotation have a caption, this property is meaningful and has effect on line's annotation's appearance. Function Line.HasCaption can be used to check if current line annotation should have a caption, and function Line.EnableCaption can be used to change the status.

Returns
  A Offset object that receives horizontal offset and vertical offset for caption.
  A Offset object with value (0, 0) may also mean that no caption offset values can be found.

## ◆ GetCaptionPositionType()

Line.CapPos foxit.pdf.annots.Line.GetCaptionPositionType | ( |  | ) |
| inline

Get the position type of caption.

Only when current line annotation have a caption, this property is meaningful and has effect on line's annotation's appearance. Function Line.HasCaption can be used to check if current line annotation should have a caption, and function Line.EnableCaption can be used to change the status.

Returns
  The position type of caption. Please refer to values starting from foxit.pdf.annots.Line.CapPos.e_CapPosInline and this would be one of these values.

## ◆ GetEndPoint()

PointF foxit.pdf.annots.Line.GetEndPoint | ( |  | ) |
| inline

Get the end point.

Start point and end point are required for a line annotation. They have effect on line annotation's appearance.

Returns
  The end point. A point with value (0, 0) may also mean that no start point is found.

## ◆ GetLeaderLineExtensionLength()

float foxit.pdf.annots.Line.GetLeaderLineExtensionLength | ( |  | ) |
| inline

Get the length of leader line extension.

Leader line extensions extend from the line proper 180 degrees from the leader lines.
For more details, please refer to "Line Annotations" in Section 8.4.5 "Annotation Types" of <PDF reference 1.7> .

Returns
  The length of leader line extension.

## ◆ GetLeaderLineLength()

float foxit.pdf.annots.Line.GetLeaderLineLength | ( |  | ) |
| inline

Get the length of leader line.

Leader lines extend from each endpoint of a line perpendicular to the line itself. A positive value means that the leader lines appear in the direction that is clockwise when traversing the line from its start point to its end point; a negative value indicates the opposite direction. Specially, even the length of leader line is 0, the line annotation can still have leader line extension and leader line offset. For this case, the direction of leader line is same as positive length value in order that the direction or position of leader line extension and offset can still be judged.
For more details, please refer to "Line Annotations" in Section 8.4.5 "Annotation Types" of <PDF reference 1.7> .

Returns
  The length of leader line.

## ◆ GetLeaderLineOffset()

float foxit.pdf.annots.Line.GetLeaderLineOffset | ( |  | ) |
| inline

Get the length of leader line offset.

Leader line offset is the amount of empty space between the endpoints of the line annotation and the beginning of the leader lines.
For more details, please refer to "Line Annotations" in Section 8.4.5 "Annotation Types" of <PDF reference 1.7> .

Returns
  The length of leader line offset.

## ◆ GetLineEndStyle()

Markup.EndingStyle foxit.pdf.annots.Line.GetLineEndStyle | ( |  | ) |
| inline

Get line ending style of the end point.

This property has effect on line annotation's appearance.

Returns
  The line ending style of the end point. Please refer to values starting from foxit.pdf.annots.Markup.EndingStyle.e_EndingStyleNone and this would be one of these values.

## ◆ GetLineStartStyle()

Markup.EndingStyle foxit.pdf.annots.Line.GetLineStartStyle | ( |  | ) |
| inline

Get line ending style of the start point.

This property has effect on line annotation's appearance.

Returns
  The line ending style of the start point. Please refer to values starting from foxit.pdf.annots.Markup.EndingStyle.e_EndingStyleNone and this would be one of these values.

## ◆ GetMeasureConversionFactor()

float foxit.pdf.annots.Line.GetMeasureConversionFactor | ( | Markup.MeasureType | measure_type | ) |
| inline

Get the conversion factor for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from foxit.pdf.annots.Markup.MeasureType.e_MeasureTypeX and this would be one of these values.

Returns
  The conversion factor.

## ◆ GetMeasureRatio()

string foxit.pdf.annots.Line.GetMeasureRatio | ( |  | ) |
| inline

Get the scale ratio string for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Scale ratio string expresses the scale ratio of the drawing in the region. Please refer to P745 in <PDF Reference 1.7> for more details.

Returns
  A UTF-8 byte string that expresses the scale ratio.

## ◆ GetMeasureRatioW()

string foxit.pdf.annots.Line.GetMeasureRatioW | ( |  | ) |
| inline

Get the scale ratio Unicode string for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Scale ratio string expresses the scale ratio of the drawing in the region. Please refer to P745 in <PDF Reference 1.7> for more details.

Returns
  A Unicode string that expresses the scale ratio.

## ◆ GetMeasureUnit()

string foxit.pdf.annots.Line.GetMeasureUnit | ( | Markup.MeasureType | measure_type | ) |
| inline

Get the label for displaying the units for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from foxit.pdf.annots.Markup.MeasureType.e_MeasureTypeX and this should be one of these values.

Returns
  A UTF-8 text string that represents a label for displaying the units.

## ◆ GetMeasureUnitW()

string foxit.pdf.annots.Line.GetMeasureUnitW | ( | Markup.MeasureType | measure_type | ) |
| inline

Get the label (in Unicode string) for displaying the units for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from foxit.pdf.annots.Markup.MeasureType.e_MeasureTypeX and this should be one of these values.

Returns
  A Unicode string that represents a label for displaying the units.

## ◆ GetStartPoint()

PointF foxit.pdf.annots.Line.GetStartPoint | ( |  | ) |
| inline

Get the start point.

Start point and end point are required for a line annotation. They have effect on line annotation's appearance.

Returns
  The start point. A point with value (0, 0) may also mean that no start point is found.

## ◆ GetStyleFillColor()

int foxit.pdf.annots.Line.GetStyleFillColor | ( |  | ) |
| inline

Get fill color for ending styles.

This property has effect on line annotation's appearance. Fill color is used for some line ending styles:
"Square", "Circle", "Diamond", "ClosedArrow", "RClosedArrow".

Returns
  The fill color of ending styles. Format: 0xRRGGBB. If no fill color can be found, 0x000000 will be returned.

## ◆ HasCaption()

bool foxit.pdf.annots.Line.HasCaption | ( |  | ) |
| inline

Check whether the content of current line annotation should be replicated as a caption in the appearance or not.

Returns
  true means the content should be replicated as a caption in the appearance of current line annotation. false means not to replicate the content as a caption in the appearance of current line annotation.

## ◆ SetCaptionOffset()

void foxit.pdf.annots.Line.SetCaptionOffset | ( | PointF | offset | ) |
| inline

Set caption offset values.

Caption offset is the offset of caption from its normal position.
Only when current line annotation have a caption, this property is meaningful and has effect on line's annotation's appearance. Function Line.HasCaption can be used to check if current line annotation should have a caption, and function Line.EnableCaption can be used to change the status.
If user wants the effect to be shown in annotation's appearance, please call function Annot.ResetAppearanceStream after this function.

Parameters

  [in] | offset | New offset values .

Returns
  None.

## ◆ SetCaptionPositionType()

void foxit.pdf.annots.Line.SetCaptionPositionType | ( | Line.CapPos | cap_position | ) |
| inline

Set the position type of caption.

Only when current line annotation have a caption, this property is meaningful and has effect on line's annotation's appearance. Function Line.HasCaption can be used to check if current line annotation should have a caption, and function Line.EnableCaption can be used to change the status.
If user wants the effect to be shown in annotation's appearance, please call function Annot.ResetAppearanceStream after this function.

Parameters

  [in] | cap_position | The position type of caption. Please refer to values starting from foxit.pdf.annots.Line.CapPos.e_CapPosInline and this should be one of these values.

Returns
  None.

## ◆ SetEndPoint()

void foxit.pdf.annots.Line.SetEndPoint | ( | PointF | point | ) |
| inline

Set the end point.

Start point and end point are required for a line annotation. They have effect on line annotation's appearance.
If user wants the new end point has effect on annotation's appearance, please call function Annot.ResetAppearanceStream after setting new end point.

Parameters

  [in] | point | New point that specifies the end point.

Returns
  None.

## ◆ SetLeaderLineExtensionLength()

void foxit.pdf.annots.Line.SetLeaderLineExtensionLength | ( | float | extension_length | ) |
| inline

Set the length of leader line extension.

Leader line extensions extend from the line proper 180 degrees from the leader lines.
For more details, please refer to "Line Annotations" in Section 8.4.5 "Annotation Types" of <PDF reference 1.7> .

Parameters

  [in] | extension_length | The length of leader line extension. It should be a non-negative value. 0 means no leader line extension.

Returns
  None.

## ◆ SetLeaderLineLength()

void foxit.pdf.annots.Line.SetLeaderLineLength | ( | float | length | ) |
| inline

Set the length of leader line.

Leader lines extend from each endpoint of a line perpendicular to the line itself. A positive value means that the leader lines appear in the direction that is clockwise when traversing the line from its start point to its end point; a negative value indicates the opposite direction. Specially, even the length of leader line is 0, the line annotation can still have leader line extension and leader line offset. For this case, the direction of leader line is same as positive length value in order that the direction or position of leader line extension and offset can still be judged.
For more details, please refer to "Line Annotations" in Section 8.4.5 "Annotation Types" of <PDF reference 1.7> .

Parameters

  [in] | length | The length of leader lines. See details part for more details. 0 means no leader line.

Returns
  None.

## ◆ SetLeaderLineOffset()

void foxit.pdf.annots.Line.SetLeaderLineOffset | ( | float | offset | ) |
| inline

Set the length of leader line offset.

Leader line offset is the amount of empty space between the endpoints of the line annotation and the beginning of the leader lines.
For more details, please refer to "Line Annotations" in Section 8.4.5 "Annotation Types" of <PDF reference 1.7> .

Parameters

  [in] | offset | The length of leader line offset. It should be a non-negative value. 0 means no leader line extension.

Returns
  None.

## ◆ SetLineEndStyle()

void foxit.pdf.annots.Line.SetLineEndStyle | ( | Markup.EndingStyle | ending_style | ) |
| inline

Set line ending style of the end point.

This property has effect on line annotation's appearance. If user wants the new line ending style has effect on annotation's appearance, please call function Annot.ResetAppearanceStream after setting new line ending style.

Parameters

  [in] | ending_style | The line ending style for the end point to be set. Please refer to values starting from foxit.pdf.annots.Markup.EndingStyle.e_EndingStyleNone and this should be one of these values.

Returns
  None.

## ◆ SetLineStartStyle()

void foxit.pdf.annots.Line.SetLineStartStyle | ( | Markup.EndingStyle | ending_style | ) |
| inline

Set line ending style of the start point.

This property has effect on line annotation's appearance. If user wants the new line ending style has effect on annotation's appearance, please call function Annot.ResetAppearanceStream after setting new line ending style.

Parameters

  [in] | ending_style | The line ending style for the start point to be set. Please refer to values starting from foxit.pdf.annots.Markup.EndingStyle.e_EndingStyleNone and this should be one of these values.

Returns
  None.

## ◆ SetMeasureConversionFactor()

void foxit.pdf.annots.Line.SetMeasureConversionFactor | ( | Markup.MeasureType | measure_type,
|  | float | factor
| ) |  |
| inline

Set the conversion factor for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from foxit.pdf.annots.Markup.MeasureType.e_MeasureTypeX and this would be one of these values.
  [in] | factor | The conversion factor.

Returns
  None.

## ◆ SetMeasureRatio()

void foxit.pdf.annots.Line.SetMeasureRatio | ( | string | ratio | ) |
| inline

Set the scale ratio string for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Scale ratio string expresses the scale ratio of the drawing in the region. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | ratio | A UTF-8 byte string expressing the scale ratio. The string should be like: "1/4 in = 1 ft", indicating that 1/4 inches in default user space is equivalent to 1 foot in real-world measurements.

Returns
  None.

## ◆ SetMeasureUnit()

void foxit.pdf.annots.Line.SetMeasureUnit | ( | Markup.MeasureType | measure_type,
|  | string | unit
| ) |  |
| inline

Set the label for displaying the units for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from foxit.pdf.annots.Markup.MeasureType.e_MeasureTypeX and this should be one of these values.
  [in] | unit | A UTF-8 text string that specifies a label for displaying the units.

Returns
  None.

## ◆ SetStartPoint()

void foxit.pdf.annots.Line.SetStartPoint | ( | PointF | point | ) |
| inline

Set the start point.

Start point and end point are required for a line annotation. They have effect on line annotation's appearance.
If user wants the new start point has effect on annotation's appearance, please call function Annot.ResetAppearanceStream after setting new start point.

Parameters

  [in] | point | New point that specifies the start point.

Returns
  None.

## ◆ SetStyleFillColor()

void foxit.pdf.annots.Line.SetStyleFillColor | ( | int | color | ) |
| inline

Set fill color for ending styles.

This property has effect on line annotation's appearance. Fill color is used for some line ending styles:
"Square", "Circle", "Diamond", "ClosedArrow", "RClosedArrow".
If user wants the new fill color has effect on annotation's appearance, please call function Annot.ResetAppearanceStream after setting new fill color.

Parameters

  [in] | color | New fill color of ending style. Format: 0xRRGGBB.

Returns
  None.